OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ColorBufferFloat

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBColorBufferFloat :: MonadIO m => m Bool
- gl_ARB_color_buffer_float :: Bool
- gl_CLAMP_FRAGMENT_COLOR_ARB :: GLenum
- gl_CLAMP_READ_COLOR_ARB :: GLenum
- gl_CLAMP_VERTEX_COLOR_ARB :: GLenum
- gl_FIXED_ONLY_ARB :: GLenum
- gl_RGBA_FLOAT_MODE_ARB :: GLenum
- glClampColorARB :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetARBColorBufferFloat :: MonadIO m => m Bool

Is the ARB_color_buffer_float extension supported?

gl_ARB_color_buffer_float :: Bool

Is the ARB_color_buffer_float extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBColorBufferFloat` in those cases instead.

# Enums

gl_CLAMP_FRAGMENT_COLOR_ARB :: GLenum

gl_CLAMP_READ_COLOR_ARB :: GLenum

gl_CLAMP_VERTEX_COLOR_ARB :: GLenum

gl_FIXED_ONLY_ARB :: GLenum

gl_RGBA_FLOAT_MODE_ARB :: GLenum

# Functions

glClampColorARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ClampColorTargetARB`.
-> GLenum | `clamp` of type `ClampColorModeARB`.
-> m () |

This command is an alias for `glClampColor`.